unit Items;

interface

uses Windows, Messages;


type
  TItemSet = record
    Id: Integer;
    Name: string;
    Head, Chest, Legs, Gloves, Feet: Integer;
  end;

  TCharacterModel = record
    race, gender, face, body, id, model_id, hair_id, hair_color_id, skin_color_id, face_movable_decal_asset_id, face_movable_decal_scale, face_movable_decal_rotate, face_movable_decal_move_x, face_movable_decal_move_y, face_fixed_decal_asset_0_id, face_fixed_decal_asset_1_id, face_fixed_decal_asset_2_id, face_fixed_decal_asset_3_id, face_diffuse_map_id, face_normal_map_id, face_eyelash_map_id, lip_color, left_pupil_color, right_pupil_color, eyebrow_color, owner_type_id, face_movable_decal_weight, face_fixed_decal_asset_0_weight, face_fixed_decal_asset_2_weight, face_normal_map_weight, deco_color: Integer;
    name, npcOnly, modifier: string;
    face_fixed_decal_asset_3_weight, face_fixed_decal_asset_1_weight: Double;
  end;

const
  ItemSets: array [0..69] of TItemSet = (
    (Id: 159; Name: ' '; Head: 27293; Chest: 27294; Legs: 27298; Gloves: 27296; Feet: 27299),
    (Id: 149; Name: '  '; Head: 24503; Chest: 24504; Legs: 24505; Gloves: 24506; Feet: 24507),
    (Id: 166; Name: '  '; Head: 27996; Chest: 27995; Legs: 27998; Gloves: 27994; Feet: 27997),
    (Id: 111; Name: '   '; Head: 19326; Chest: 19327; Legs: 19331; Gloves: 19329; Feet: 19332),
    (Id: 162; Name: '  '; Head: 26932; Chest: 26933; Legs: 26934; Gloves: 26935; Feet: 26936),
    (Id: 52; Name: '  '; Head: 20756; Chest: 20783; Legs: 20810; Gloves: 20837; Feet: 20864),
    (Id: 79; Name: '  '; Head: 20945; Chest: 20972; Legs: 20999; Gloves: 21026; Feet: 21053),
    (Id: 25; Name: '  '; Head: 20569; Chest: 20596; Legs: 20623; Gloves: 20650; Feet: 20677),
    (Id: 143; Name: '  '; Head: 24480; Chest: 24481; Legs: 24482; Gloves: 24483; Feet: 24484),
    (Id: 135; Name: '  '; Head: 23780; Chest: 23781; Legs: 23782; Gloves: 0; Feet: 23784),
    (Id: 117; Name: '  '; Head: 0; Chest: 23752; Legs: 23753; Gloves: 0; Feet: 23755),
    (Id: 127; Name: '  '; Head: 23813; Chest: 23814; Legs: 23815; Gloves: 0; Feet: 23817),
    (Id: 121; Name: '  '; Head: 0; Chest: 24439; Legs: 24440; Gloves: 0; Feet: 24441),
    (Id: 115; Name: '    '; Head: 0; Chest: 23747; Legs: 23748; Gloves: 0; Feet: 23750),
    (Id: 122; Name: '  '; Head: 0; Chest: 24446; Legs: 24447; Gloves: 0; Feet: 24448),
    (Id: 120; Name: '  '; Head: 0; Chest: 24443; Legs: 24444; Gloves: 0; Feet: 24445),
    (Id: 113; Name: ' -'; Head: 19333; Chest: 19334; Legs: 19338; Gloves: 19336; Feet: 19339),
    (Id: 61; Name: '  '; Head: 20927; Chest: 20954; Legs: 20981; Gloves: 21008; Feet: 21035),
    (Id: 37; Name: '  '; Head: 20741; Chest: 20768; Legs: 20795; Gloves: 20822; Feet: 20849),
    (Id: 64; Name: '  '; Head: 20930; Chest: 20957; Legs: 20984; Gloves: 21011; Feet: 21038),
    (Id: 9; Name: '  '; Head: 20553; Chest: 20580; Legs: 20607; Gloves: 20634; Feet: 20661),
    (Id: 45; Name: '  '; Head: 20749; Chest: 20776; Legs: 20803; Gloves: 20830; Feet: 20857),
    (Id: 72; Name: '  '; Head: 20938; Chest: 20965; Legs: 20992; Gloves: 21019; Feet: 21046),
    (Id: 18; Name: '  '; Head: 20562; Chest: 20589; Legs: 20616; Gloves: 20643; Feet: 20670),
    (Id: 98; Name: ' '; Head: 24846; Chest: 24847; Legs: 24848; Gloves: 24849; Feet: 24850),
    (Id: 100; Name: ' '; Head: 24856; Chest: 24857; Legs: 24858; Gloves: 24859; Feet: 24860),
    (Id: 107; Name: ' '; Head: 24891; Chest: 24892; Legs: 24893; Gloves: 24894; Feet: 24895),
    (Id: 102; Name: ' '; Head: 24866; Chest: 24867; Legs: 24868; Gloves: 24869; Feet: 24870),
    (Id: 108; Name: ' '; Head: 24896; Chest: 24897; Legs: 24898; Gloves: 24899; Feet: 24900),
    (Id: 105; Name: ' '; Head: 24881; Chest: 24882; Legs: 24883; Gloves: 24884; Feet: 24885),
    (Id: 99; Name: ' '; Head: 24851; Chest: 24852; Legs: 24853; Gloves: 24854; Feet: 24855),
    (Id: 103; Name: ' '; Head: 24871; Chest: 24872; Legs: 24873; Gloves: 24874; Feet: 24875),
    (Id: 109; Name: ' '; Head: 24901; Chest: 24902; Legs: 24903; Gloves: 24904; Feet: 24905),
    (Id: 110; Name: ' '; Head: 24906; Chest: 24907; Legs: 24908; Gloves: 24909; Feet: 24910),
    (Id: 106; Name: ' '; Head: 24886; Chest: 24887; Legs: 24888; Gloves: 24889; Feet: 24890),
    (Id: 101; Name: ' '; Head: 24861; Chest: 24862; Legs: 24863; Gloves: 24864; Feet: 24865),
    (Id: 104; Name: ' '; Head: 24876; Chest: 24877; Legs: 24878; Gloves: 24879; Feet: 24880),
    (Id: 160; Name: '  '; Head: 26922; Chest: 26923; Legs: 26924; Gloves: 26925; Feet: 26926),
    (Id: 151; Name: '  '; Head: 24510; Chest: 24511; Legs: 24512; Gloves: 24513; Feet: 24514),
    (Id: 142; Name: '  '; Head: 24470; Chest: 24471; Legs: 24472; Gloves: 24473; Feet: 24474),
    (Id: 134; Name: '  '; Head: 23770; Chest: 23771; Legs: 23772; Gloves: 0; Feet: 23774),
    (Id: 116; Name: '  -'; Head: 0; Chest: 23741; Legs: 23742; Gloves: 0; Feet: 23744),
    (Id: 126; Name: '  '; Head: 23803; Chest: 23804; Legs: 23805; Gloves: 0; Feet: 23807),
    (Id: 168; Name: '  '; Head: 27725; Chest: 27726; Legs: 27727; Gloves: 27728; Feet: 27729),
    (Id: 62; Name: '  '; Head: 20928; Chest: 20955; Legs: 20982; Gloves: 21009; Feet: 21036),
    (Id: 169; Name: '  '; Head: 27717; Chest: 27716; Legs: 27715; Gloves: 27714; Feet: 27713),
    (Id: 35; Name: '  '; Head: 20739; Chest: 20766; Legs: 20793; Gloves: 20820; Feet: 20847),
    (Id: 6; Name: '  '; Head: 20550; Chest: 20577; Legs: 20604; Gloves: 20631; Feet: 20658),
    (Id: 31; Name: '  '; Head: 20735; Chest: 20762; Legs: 20789; Gloves: 20816; Feet: 20843),
    (Id: 58; Name: '  '; Head: 20924; Chest: 20951; Legs: 20978; Gloves: 21005; Feet: 21032),
    (Id: 2; Name: '  '; Head: 20546; Chest: 20573; Legs: 20600; Gloves: 20627; Feet: 20654),
    (Id: 34; Name: '  '; Head: 20738; Chest: 20765; Legs: 20792; Gloves: 20819; Feet: 20846),
    (Id: 5; Name: '  '; Head: 20549; Chest: 20576; Legs: 20603; Gloves: 20630; Feet: 20657),
    (Id: 161; Name: '  '; Head: 26927; Chest: 26928; Legs: 26929; Gloves: 26930; Feet: 26931),
    (Id: 112; Name: '  '; Head: 19348; Chest: 19349; Legs: 19353; Gloves: 19351; Feet: 19354),
    (Id: 150; Name: '  '; Head: 24493; Chest: 24494; Legs: 24495; Gloves: 24496; Feet: 24497),
    (Id: 125; Name: '   '; Head: 23808; Chest: 23809; Legs: 23810; Gloves: 0; Feet: 23812),
    (Id: 133; Name: '  '; Head: 23775; Chest: 23776; Legs: 23777; Gloves: 0; Feet: 23779),
    (Id: 141; Name: '   '; Head: 24475; Chest: 24476; Legs: 24477; Gloves: 24478; Feet: 24479),
    (Id: 164; Name: '  '; Head: 27802; Chest: 27801; Legs: 27804; Gloves: 27800; Feet: 27803),
    (Id: 167; Name: '   '; Head: 27718; Chest: 27721; Legs: 27719; Gloves: 27720; Feet: 27722),
    (Id: 33; Name: '  '; Head: 20737; Chest: 20764; Legs: 20791; Gloves: 20818; Feet: 20845),
    (Id: 60; Name: '  '; Head: 20926; Chest: 20953; Legs: 20980; Gloves: 21007; Feet: 21034),
    (Id: 4; Name: '  '; Head: 20548; Chest: 20575; Legs: 20602; Gloves: 20629; Feet: 20656),
    (Id: 32; Name: '  '; Head: 20736; Chest: 20763; Legs: 20790; Gloves: 20817; Feet: 20844),
    (Id: 59; Name: '  '; Head: 20925; Chest: 20952; Legs: 20979; Gloves: 21006; Feet: 21033),
    (Id: 3; Name: '  '; Head: 20547; Chest: 20574; Legs: 20601; Gloves: 20628; Feet: 20655),
    (Id: 41; Name: '  '; Head: 20745; Chest: 20772; Legs: 20799; Gloves: 20826; Feet: 20853),
    (Id: 68; Name: '  '; Head: 20934; Chest: 20961; Legs: 20988; Gloves: 21015; Feet: 21042),
    (Id: 13; Name: '  '; Head: 20557; Chest: 20584; Legs: 20611; Gloves: 20638; Feet: 20665)
  );

  CharacterModels: array [0..7] of TCharacterModel = (
    (race: 1; gender: 1; face: 19838; body: 536; id: 298; model_id: 10; hair_id: 24133; hair_color_id: 733; skin_color_id: 1; face_movable_decal_asset_id: 0; face_movable_decal_scale: 1; face_movable_decal_rotate: 0; face_movable_decal_move_x: 0; face_movable_decal_move_y: 0; face_fixed_decal_asset_0_id: 0; face_fixed_decal_asset_1_id: 0; face_fixed_decal_asset_2_id: 560; face_fixed_decal_asset_3_id: 682; face_diffuse_map_id: 0; face_normal_map_id: 29; face_eyelash_map_id: 0; lip_color: 0; left_pupil_color: 4294489434; right_pupil_color: 4294489434; eyebrow_color: 4278199100; owner_type_id: 1; face_movable_decal_weight: 1; face_fixed_decal_asset_0_weight: 1; face_fixed_decal_asset_2_weight: 1; face_normal_map_weight: 1; deco_color: 4282924640; name: 'nu_m_face0001'; npcOnly: 'f';
    modifier: '00F5000011DC000B00000000170000000000F323000000003D000000000000000' + '00000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'; face_fixed_decal_asset_3_weight: 1; face_fixed_decal_asset_1_weight: 1),
    (race: 1; gender: 2; face: 19839; body: 539; id: 325; model_id: 11; hair_id: 25372; hair_color_id: 4299; skin_color_id: 4; face_movable_decal_asset_id: 0; face_movable_decal_scale: 1; face_movable_decal_rotate: 0; face_movable_decal_move_x: 0; face_movable_decal_move_y: 0; face_fixed_decal_asset_0_id: 0; face_fixed_decal_asset_1_id: 444; face_fixed_decal_asset_2_id: 170; face_fixed_decal_asset_3_id: 0; face_diffuse_map_id: 0; face_normal_map_id: 0; face_eyelash_map_id: 0; lip_color: 4287331299; left_pupil_color: 4293913775; right_pupil_color: 4293913775; eyebrow_color: 4281878616; owner_type_id: 1; face_movable_decal_weight: 1; face_fixed_decal_asset_0_weight: 1; face_fixed_decal_asset_2_weight: 1; face_normal_map_weight: 1; deco_color: 0; name: 'nu_f_face0001'; npcOnly: 'f';
    modifier: '00EF00EF00EE000103000000000000110000000000FE00063BB900D800EE00D40' + '0281BEBE100E700F037230000000000640000000000000064000000F0000000000000002BD50000006400000000F9000000E0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'; face_fixed_decal_asset_3_weight: 0.71; face_fixed_decal_asset_1_weight: 1),
    (race: 4; gender: 1; face: 23713; body: 1142; id: 307; model_id: 16; hair_id: 25361; hair_color_id: 765; skin_color_id: 5; face_movable_decal_asset_id: 0; face_movable_decal_scale: 1; face_movable_decal_rotate: 0; face_movable_decal_move_x: 0; face_movable_decal_move_y: 0; face_fixed_decal_asset_0_id: 0; face_fixed_decal_asset_1_id: 738; face_fixed_decal_asset_2_id: 596; face_fixed_decal_asset_3_id: 0; face_diffuse_map_id: 0; face_normal_map_id: 45; face_eyelash_map_id: 0; lip_color: 4287133659; left_pupil_color: 4294175843; right_pupil_color: 4294175843; eyebrow_color: 4278199857; owner_type_id: 1; face_movable_decal_weight: 1; face_fixed_decal_asset_0_weight: 1; face_fixed_decal_asset_2_weight: 1; face_normal_map_weight: 1; deco_color: 0; name: 'el_m_face0001'; npcOnly: 'f';
    modifier: '00DA00E6F6F4002700000000000033F3000000320000FC0B40D400FB000000D30' + '0E2EF000000000000D41D000000000028000000E1000D00EA000000000007002C00000000D300000000000000100000CC0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'; face_fixed_decal_asset_3_weight: 0.31; face_fixed_decal_asset_1_weight: 0.43),
    (race: 4; gender: 2; face: 23714; body: 1128; id: 124; model_id: 17; hair_id: 24044; hair_color_id: 782; skin_color_id: 8; face_movable_decal_asset_id: 0; face_movable_decal_scale: 1; face_movable_decal_rotate: 0; face_movable_decal_move_x: 0; face_movable_decal_move_y: 0; face_fixed_decal_asset_0_id: 0; face_fixed_decal_asset_1_id: 0; face_fixed_decal_asset_2_id: 243; face_fixed_decal_asset_3_id: 358; face_diffuse_map_id: 0; face_normal_map_id: 24; face_eyelash_map_id: 0; lip_color: 4286806015; left_pupil_color: 4293519647; right_pupil_color: 4293519647; eyebrow_color: 4278199083; owner_type_id: 1; face_movable_decal_weight: 1; face_fixed_decal_asset_0_weight: 1; face_fixed_decal_asset_2_weight: 1; face_normal_map_weight: 1; deco_color: 0; name: 'el_f_face0006'; npcOnly: 'f';
    modifier: '00F000EA0CFC00E900D1281F00E4DF3200004FCDF40001FC64FE0000000000000' + '011F7E1F80C070020002C00F5200027520B002ECFC5000029000000000003000000002100000000243812000000F400004212D10000070000000000000000000000000000000000000000000000000000000000000000000000000000000000'; face_fixed_decal_asset_3_weight: 1; face_fixed_decal_asset_1_weight: 0.72),
    (race: 5; gender: 1; face: 23715; body: 548; id: 316; model_id: 18; hair_id: 24140; hair_color_id: 3958; skin_color_id: 13; face_movable_decal_asset_id: 0; face_movable_decal_scale: 1; face_movable_decal_rotate: 0; face_movable_decal_move_x: 0; face_movable_decal_move_y: 0; face_fixed_decal_asset_0_id: 0; face_fixed_decal_asset_1_id: 763; face_fixed_decal_asset_2_id: 637; face_fixed_decal_asset_3_id: 0; face_diffuse_map_id: 0; face_normal_map_id: 49; face_eyelash_map_id: 0; lip_color: 4285094337; left_pupil_color: 4278861223; right_pupil_color: 4278861223; eyebrow_color: 4278257938; owner_type_id: 1; face_movable_decal_weight: 1; face_fixed_decal_asset_0_weight: 1; face_fixed_decal_asset_2_weight: 1; face_normal_map_weight: 1; deco_color: 4282924640; name: 'ha_m_face0001'; npcOnly: 'f';
    modifier: '00EC00CA000000000000120000000EEB000000031C00000431E40000000000000' + '0F800000000000000EF00000031000000000000E51C0000DF000000EBE0E60A00002DA7EACE0000CE000000FA000000E00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'; face_fixed_decal_asset_3_weight: 1; face_fixed_decal_asset_1_weight: 0.36),
    (race: 5; gender: 2; face: 23716; body: 553; id: 170; model_id: 19; hair_id: 25129; hair_color_id: 3853; skin_color_id: 15; face_movable_decal_asset_id: 0; face_movable_decal_scale: 1; face_movable_decal_rotate: 0; face_movable_decal_move_x: 0; face_movable_decal_move_y: 0; face_fixed_decal_asset_0_id: 0; face_fixed_decal_asset_1_id: 397; face_fixed_decal_asset_2_id: 203; face_fixed_decal_asset_3_id: 0; face_diffuse_map_id: 0; face_normal_map_id: 13; face_eyelash_map_id: 0; lip_color: 4282269373; left_pupil_color: 4281090181; right_pupil_color: 4281090181; eyebrow_color: 4278324512; owner_type_id: 1; face_movable_decal_weight: 1; face_fixed_decal_asset_0_weight: 1; face_fixed_decal_asset_2_weight: 1; face_normal_map_weight: 1; deco_color: 0; name: 'ha_f_face0004'; npcOnly: 'f';
    modifier: '0000E8EA00FC0000390019000000A7000000002E0000001D5100EACF00E600EBE' + 'E0800000000000000221100000130E4000000FF14000700C400000000000917000000BA10D5000000649CFF0030F70000D800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'; face_fixed_decal_asset_3_weight: 1; face_fixed_decal_asset_1_weight: 1),
    (race: 6; gender: 1; face: 20117; body: 559; id: 45; model_id: 20; hair_id: 8152; hair_color_id: 6328; skin_color_id: 9; face_movable_decal_asset_id: 0; face_movable_decal_scale: 1; face_movable_decal_rotate: 0; face_movable_decal_move_x: 0; face_movable_decal_move_y: 0; face_fixed_decal_asset_0_id: 0; face_fixed_decal_asset_1_id: 0; face_fixed_decal_asset_2_id: 786; face_fixed_decal_asset_3_id: 0; face_diffuse_map_id: 0; face_normal_map_id: 60; face_eyelash_map_id: 0; lip_color: 4287657983; left_pupil_color: 4282778368; right_pupil_color: 4282778368; eyebrow_color: 4280549888; owner_type_id: 1; face_movable_decal_weight: 1; face_fixed_decal_asset_0_weight: 1; face_fixed_decal_asset_2_weight: 1; face_normal_map_weight: 1; deco_color: 0; name: 'fe_m_face0003'; npcOnly: 'f';
    modifier: '00D200DFDAD01700000000646400006400649C9C64F61111001600CAD2159C0BF' + '4F2AC1629640A9C0A070D000009469CD0BD49C464006400E1009C06081D00CB2E0000DB00CA6400B7646400DD642200009C06000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'; face_fixed_decal_asset_3_weight: 1; face_fixed_decal_asset_1_weight: 1),
    (race: 6; gender: 2; face: 20118; body: 565; id: 9; model_id: 21; hair_id: 16245; hair_color_id: 2179; skin_color_id: 11; face_movable_decal_asset_id: 0; face_movable_decal_scale: 1; face_movable_decal_rotate: 0; face_movable_decal_move_x: 0; face_movable_decal_move_y: 0; face_fixed_decal_asset_0_id: 0; face_fixed_decal_asset_1_id: 869; face_fixed_decal_asset_2_id: 825; face_fixed_decal_asset_3_id: 0; face_diffuse_map_id: 0; face_normal_map_id: 0; face_eyelash_map_id: 0; lip_color: 4281008320; left_pupil_color: 4290534656; right_pupil_color: 4290534656; eyebrow_color: 4294436351; owner_type_id: 1; face_movable_decal_weight: 1; face_fixed_decal_asset_0_weight: 1; face_fixed_decal_asset_2_weight: 1; face_normal_map_weight: 1; deco_color: 0; name: 'fe_f_face0001'; npcOnly: 'f';
    modifier: '00FD6426531C41AD00210000AB00002D005A64FC0000000E64100000001963001' + '033AEED04000700E10011B713162600B61D28C6E7FA00D60A2B00FEDB14120600F49C9C6400649CD4E80001330000000000C5000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'; face_fixed_decal_asset_3_weight: 1; face_fixed_decal_asset_1_weight: 1)
  );

implementation

end.
